/*** required
ssc install spmap
***/

* Load data:
use Wahlshp.dta, clear


* Changes SPD in Percentage points
gen SPD_Change = SPD_2nd_2021-SPD_2nd_2017
spmap SPD_Change using Wahlcoor, id(_ID) clm(quantile) cln(9) fcolor(Reds) title(SPD 2021-2017)
graph export  SPD_Change.png, replace width(500) 

* Changes Union in Percentage points
gen Union_Change = Union_2nd_2021-Union_2nd_2017
spmap Union_Change using Wahlcoor, id(_ID) clm(quantile) cln(9) fcolor(Blues) legorder(lohi) title(Union 2021-2017)
graph export  Union_Change.png, replace width(500)

* Changes Union in Percentage points
gen AFD_Change = AFD_2nd_2021-AFD_2nd_2017
spmap AFD_Change using Wahlcoor, id(_ID) clm(quantile) cln(9) fcolor(Blues) legorder(lohi) title(AFD 2021-2017)
graph export  AFD_Change.png, replace width(500)
